summaryrefslogtreecommitdiff
path: root/.tools/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to '.tools/deploy.sh')
-rwxr-xr-x.tools/deploy.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/.tools/deploy.sh b/.tools/deploy.sh
new file mode 100755
index 00000000..82b8c292
--- /dev/null
+++ b/.tools/deploy.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+source ./.tools/init.sh
+
+clientdata_init
+
+aptget_update
+aptget_install git-core zip gcc zlib1g-dev ca-certificates libxml2-utils python
+rm -rf tools
+gitclone https://git.themanaworld.org/evolved tools.git tools
+
+cd clientdata
+rm -rf public
+mkdir public
+
+cd ..
+
+# FIXME
+#rm -rf music
+#gitclone https://git.themanaworld.org/evolved music.git music
+
+cd tools/update
+
+# FIXME
+./createnew.sh
+check_error $?
+#./create_music.sh
+#check_error $?
+
+cp -r upload/* ../../clientdata/public
+cd ../../clientdata
+gitclone https://git.themanaworld.org/mana pagesindexgen.git pagesindexgen
+cd pagesindexgen
+./pagesindexgen.py ../public
+check_error $?
+ls ../public